Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui
Interface IWorkbenchPropertyPage

All Superinterfaces:
  IDialogPage, IPreferencePage

All Known Implementing Classes:
  PropertyPage

public interface IWorkbenchPropertyPage
extends IPreferencePage

Interface for workbench property pages. Property pages generally show up in the workbench's Property Pages dialog.

Clients should implement this interface and include the name of their class in an extension contributed to the workbench's property page extension point (named `"org.eclipse.ui.propertyPages"`). For example, the plug-in's XML markup might contain:

     <extension point="org.eclipse.ui.propertyPages">
          <page id="com.example.myplugin.props"
             name="Knobs"
             objectClass="org.eclipse.core.resources.IResource"
             class="com.example.myplugin.MyPropertyPage" />
     </extension>

Method Summary
`IAdaptable` | `getElement()` Returns the object that owns the properties shown in this page.
`void` | `setElement(IAdaptable element)` Sets the object that owns the properties shown in this page.

Methods inherited from interface org.eclipse.jface.preference.IPreferencePage
`computeSize, isValid, okToLeave, performCancel, performOk, setContainer, setSize`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Method Detail

### getElement

    public IAdaptable getElement()

  Returns the object that owns the properties shown in this page.

  Returns:
    the object that owns the properties shown in this page

### setElement

    public void setElement(IAdaptable element)

  Sets the object that owns the properties shown in this page. The page is expected to store this object and provide it if `getElement` is called.

  Parameters:
    `element` - the object that owns the properties shown in this page

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.